/////////////////////////////////////////////////////////////////////////////
// Name:        explicitscrollingdialog.cpp
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     13/12/2007 09:14:36
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "explicitscrollingdialog.h"

////@begin XPM images
////@end XPM images


/*!
 * ExplicitScrollingDialog type definition
 */

IMPLEMENT_DYNAMIC_CLASS( ExplicitScrollingDialog, wxDialog )


/*!
 * ExplicitScrollingDialog event table definition
 */

BEGIN_EVENT_TABLE( ExplicitScrollingDialog, wxDialog )

////@begin ExplicitScrollingDialog event table entries
////@end ExplicitScrollingDialog event table entries

END_EVENT_TABLE()


/*!
 * ExplicitScrollingDialog constructors
 */

ExplicitScrollingDialog::ExplicitScrollingDialog()
{
    Init();
}

ExplicitScrollingDialog::ExplicitScrollingDialog( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
    Init();
    Create(parent, id, caption, pos, size, style);
}


/*!
 * ExplicitScrollingDialog creator
 */

bool ExplicitScrollingDialog::Create( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
////@begin ExplicitScrollingDialog creation
    SetExtraStyle(wxWS_EX_BLOCK_EVENTS);
    wxDialog::Create( parent, id, caption, pos, size, style );

    CreateControls();
    if (GetSizer())
    {
        GetSizer()->SetSizeHints(this);
    }
    Centre();
////@end ExplicitScrollingDialog creation
    return true;
}


/*!
 * ExplicitScrollingDialog destructor
 */

ExplicitScrollingDialog::~ExplicitScrollingDialog()
{
////@begin ExplicitScrollingDialog destruction
////@end ExplicitScrollingDialog destruction
}


/*!
 * Member initialisation
 */

void ExplicitScrollingDialog::Init()
{
////@begin ExplicitScrollingDialog member initialisation
////@end ExplicitScrollingDialog member initialisation
}


/*!
 * Control creation for ExplicitScrollingDialog
 */

void ExplicitScrollingDialog::CreateControls()
{    
////@begin ExplicitScrollingDialog content construction
    ExplicitScrollingDialog* itemDialog1 = this;

    wxBoxSizer* itemBoxSizer2 = new wxBoxSizer(wxVERTICAL);
    itemDialog1->SetSizer(itemBoxSizer2);

    wxScrolledWindow* itemScrolledWindow3 = new wxScrolledWindow( itemDialog1, ID_SCROLLEDWINDOW1, wxDefaultPosition, wxSize(100, 100), wxNO_BORDER|wxHSCROLL|wxVSCROLL|wxTAB_TRAVERSAL );
    itemBoxSizer2->Add(itemScrolledWindow3, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);
    wxBoxSizer* itemBoxSizer4 = new wxBoxSizer(wxVERTICAL);
    itemScrolledWindow3->SetSizer(itemBoxSizer4);

    wxStaticText* itemStaticText5 = new wxStaticText( itemScrolledWindow3, wxID_STATIC, _("Static text"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer4->Add(itemStaticText5, 0, wxALIGN_LEFT|wxALL, 5);

    wxTextCtrl* itemTextCtrl6 = new wxTextCtrl( itemScrolledWindow3, ID_TEXTCTRL4, _T(""), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer4->Add(itemTextCtrl6, 0, wxGROW|wxALL, 5);

    wxStaticText* itemStaticText7 = new wxStaticText( itemScrolledWindow3, wxID_STATIC, _("Static text"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer4->Add(itemStaticText7, 0, wxALIGN_LEFT|wxALL, 5);

    wxTextCtrl* itemTextCtrl8 = new wxTextCtrl( itemScrolledWindow3, ID_TEXTCTRL5, _T(""), wxDefaultPosition, wxSize(200, 100), wxTE_MULTILINE );
    itemBoxSizer4->Add(itemTextCtrl8, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    wxStaticText* itemStaticText9 = new wxStaticText( itemScrolledWindow3, wxID_STATIC, _("Static text"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer4->Add(itemStaticText9, 0, wxALIGN_LEFT|wxALL, 5);

    wxTextCtrl* itemTextCtrl10 = new wxTextCtrl( itemScrolledWindow3, ID_TEXTCTRL6, _T(""), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer4->Add(itemTextCtrl10, 0, wxGROW|wxALL, 5);

    itemScrolledWindow3->FitInside();

    wxBoxSizer* itemBoxSizer11 = new wxBoxSizer(wxHORIZONTAL);
    itemBoxSizer2->Add(itemBoxSizer11, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    wxButton* itemButton12 = new wxButton( itemDialog1, wxID_CANCEL, _("Cancel"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer11->Add(itemButton12, 0, wxALIGN_CENTER_VERTICAL|wxALL, 5);

////@end ExplicitScrollingDialog content construction
}


/*!
 * Should we show tooltips?
 */

bool ExplicitScrollingDialog::ShowToolTips()
{
    return true;
}

/*!
 * Get bitmap resources
 */

wxBitmap ExplicitScrollingDialog::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin ExplicitScrollingDialog bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
////@end ExplicitScrollingDialog bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon ExplicitScrollingDialog::GetIconResource( const wxString& name )
{
    // Icon retrieval
////@begin ExplicitScrollingDialog icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
////@end ExplicitScrollingDialog icon retrieval
}
