/////////////////////////////////////////////////////////////////////////////
// Name:        propertysheetdialogtest.cpp
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     19/12/2007 12:50:44
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
#include "wx/bookctrl.h"
////@end includes

#include "propertysheetdialogtest.h"

////@begin XPM images
////@end XPM images


/*!
 * PropertySheetDialogTest type definition
 */

IMPLEMENT_DYNAMIC_CLASS( PropertySheetDialogTest, wxScrollingPropertySheetDialog )


/*!
 * PropertySheetDialogTest event table definition
 */

BEGIN_EVENT_TABLE( PropertySheetDialogTest, wxScrollingPropertySheetDialog )

////@begin PropertySheetDialogTest event table entries
////@end PropertySheetDialogTest event table entries

END_EVENT_TABLE()


/*!
 * PropertySheetDialogTest constructors
 */

PropertySheetDialogTest::PropertySheetDialogTest()
{
    Init();
}

PropertySheetDialogTest::PropertySheetDialogTest( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
    Init();
    Create(parent, id, caption, pos, size, style);
}


/*!
 * PropertySheetDialogTest creator
 */

bool PropertySheetDialogTest::Create( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
////@begin PropertySheetDialogTest creation
    SetExtraStyle(wxWS_EX_VALIDATE_RECURSIVELY|wxWS_EX_BLOCK_EVENTS);
    wxScrollingPropertySheetDialog::Create( parent, id, caption, pos, size, style );

    SetSheetStyle(wxPROPSHEET_DEFAULT);
    CreateButtons(wxOK|wxCANCEL|wxHELP);
    CreateControls();
    LayoutDialog();
    Centre();
////@end PropertySheetDialogTest creation
    return true;
}


/*!
 * PropertySheetDialogTest destructor
 */

PropertySheetDialogTest::~PropertySheetDialogTest()
{
////@begin PropertySheetDialogTest destruction
////@end PropertySheetDialogTest destruction
}


/*!
 * Member initialisation
 */

void PropertySheetDialogTest::Init()
{
////@begin PropertySheetDialogTest member initialisation
////@end PropertySheetDialogTest member initialisation
}


/*!
 * Control creation for PropertySheetDialogTest
 */

void PropertySheetDialogTest::CreateControls()
{    
////@begin PropertySheetDialogTest content construction
    PropertySheetDialogTest* itemScrollingPropertySheetDialog1 = this;

    wxPanel* itemPanel2 = new wxPanel( GetBookCtrl(), ID_PANEL1, wxDefaultPosition, wxDefaultSize, wxNO_BORDER|wxTAB_TRAVERSAL );
    wxBoxSizer* itemBoxSizer3 = new wxBoxSizer(wxVERTICAL);
    itemPanel2->SetSizer(itemBoxSizer3);

    wxStaticText* itemStaticText4 = new wxStaticText( itemPanel2, wxID_STATIC, _("This page contains a number of rather large controls."), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemStaticText4, 0, wxALIGN_LEFT|wxALL, 5);

    wxTextCtrl* itemTextCtrl5 = new wxTextCtrl( itemPanel2, ID_TEXTCTRL8, _T(""), wxDefaultPosition, wxSize(400, 500), wxTE_MULTILINE );
    itemBoxSizer3->Add(itemTextCtrl5, 0, wxGROW|wxALL, 5);

    wxArrayString itemListBox6Strings;
    wxListBox* itemListBox6 = new wxListBox( itemPanel2, ID_LISTBOX1, wxDefaultPosition, wxSize(-1, 400), itemListBox6Strings, wxLB_SINGLE );
    itemBoxSizer3->Add(itemListBox6, 0, wxGROW|wxALL, 5);

    wxButton* itemButton7 = new wxButton( itemPanel2, ID_BUTTON2, _("My Button"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemButton7, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    GetBookCtrl()->AddPage(itemPanel2, _("First Page"));

    wxPanel* itemPanel8 = new wxPanel( GetBookCtrl(), ID_PANEL2, wxDefaultPosition, wxDefaultSize, wxTAB_TRAVERSAL );
    wxBoxSizer* itemBoxSizer9 = new wxBoxSizer(wxVERTICAL);
    itemPanel8->SetSizer(itemBoxSizer9);

    wxStaticText* itemStaticText10 = new wxStaticText( itemPanel8, wxID_STATIC, _("This page doesn't have as much on it."), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer9->Add(itemStaticText10, 0, wxALIGN_LEFT|wxALL, 5);

    wxTextCtrl* itemTextCtrl11 = new wxTextCtrl( itemPanel8, ID_TEXTCTRL9, _T(""), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer9->Add(itemTextCtrl11, 0, wxGROW|wxALL, 5);

    wxTextCtrl* itemTextCtrl12 = new wxTextCtrl( itemPanel8, ID_TEXTCTRL10, _T(""), wxDefaultPosition, wxSize(-1, 400), wxTE_MULTILINE );
    itemBoxSizer9->Add(itemTextCtrl12, 1, wxGROW|wxALL, 5);

    GetBookCtrl()->AddPage(itemPanel8, _("Second Page"));

////@end PropertySheetDialogTest content construction
}


/*!
 * Should we show tooltips?
 */

bool PropertySheetDialogTest::ShowToolTips()
{
    return true;
}

/*!
 * Get bitmap resources
 */

wxBitmap PropertySheetDialogTest::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin PropertySheetDialogTest bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
////@end PropertySheetDialogTest bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon PropertySheetDialogTest::GetIconResource( const wxString& name )
{
    // Icon retrieval
////@begin PropertySheetDialogTest icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
////@end PropertySheetDialogTest icon retrieval
}
