/////////////////////////////////////////////////////////////////////////////
// Name:        scrollingtestdialog.cpp
// Purpose:     
// Author:      Julian Smart
// Modified by: 
// Created:     11/12/2007 16:07:35
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "scrollingtestdialog.h"

////@begin XPM images
////@end XPM images


/*!
 * ScrollingTestDialog type definition
 */

IMPLEMENT_DYNAMIC_CLASS( ScrollingTestDialog, wxScrollingDialog )


/*!
 * ScrollingTestDialog event table definition
 */

BEGIN_EVENT_TABLE( ScrollingTestDialog, wxScrollingDialog )

////@begin ScrollingTestDialog event table entries
////@end ScrollingTestDialog event table entries

END_EVENT_TABLE()


/*!
 * ScrollingTestDialog constructors
 */

ScrollingTestDialog::ScrollingTestDialog()
{
    Init();
}

ScrollingTestDialog::ScrollingTestDialog( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
    Init();
    Create(parent, id, caption, pos, size, style);
}


/*!
 * ScrollingTestDialog creator
 */

bool ScrollingTestDialog::Create( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
////@begin ScrollingTestDialog creation
    SetExtraStyle(wxWS_EX_BLOCK_EVENTS);
    wxScrollingDialog::Create( parent, id, caption, pos, size, style );

    CreateControls();
    if (GetSizer())
    {
        GetSizer()->SetSizeHints(this);
    }
    Centre();
////@end ScrollingTestDialog creation
    return true;
}


/*!
 * ScrollingTestDialog destructor
 */

ScrollingTestDialog::~ScrollingTestDialog()
{
////@begin ScrollingTestDialog destruction
////@end ScrollingTestDialog destruction
}


/*!
 * Member initialisation
 */

void ScrollingTestDialog::Init()
{
    //SetAdaptationLevel(0);

////@begin ScrollingTestDialog member initialisation
////@end ScrollingTestDialog member initialisation
}


/*!
 * Control creation for ScrollingTestDialog
 */

void ScrollingTestDialog::CreateControls()
{    
////@begin ScrollingTestDialog content construction
    ScrollingTestDialog* itemScrollingDialog1 = this;

    wxBoxSizer* itemBoxSizer2 = new wxBoxSizer(wxVERTICAL);
    itemScrollingDialog1->SetSizer(itemBoxSizer2);

    wxBoxSizer* itemBoxSizer3 = new wxBoxSizer(wxVERTICAL);
    itemBoxSizer2->Add(itemBoxSizer3, 1, wxGROW|wxALL, 5);

    wxStaticText* itemStaticText4 = new wxStaticText( itemScrollingDialog1, wxID_STATIC, _("&Name:"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemStaticText4, 0, wxALIGN_LEFT|wxLEFT|wxRIGHT|wxTOP, 5);

    wxTextCtrl* itemTextCtrl5 = new wxTextCtrl( itemScrollingDialog1, ID_TEXTCTRL1, _T(""), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemTextCtrl5, 0, wxGROW|wxALL, 5);

    wxButton* itemButton6 = new wxButton( itemScrollingDialog1, ID_BUTTON1, _("&My Button"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemButton6, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    wxTextCtrl* itemTextCtrl7 = new wxTextCtrl( itemScrollingDialog1, ID_TEXTCTRL7, _T(""), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemTextCtrl7, 0, wxGROW|wxALL, 5);

    itemBoxSizer3->Add(5, 5, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    wxStaticText* itemStaticText9 = new wxStaticText( itemScrollingDialog1, wxID_STATIC, _("&Address:"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemStaticText9, 0, wxALIGN_LEFT|wxLEFT|wxRIGHT|wxTOP, 5);

    wxTextCtrl* itemTextCtrl10 = new wxTextCtrl( itemScrollingDialog1, ID_TEXTCTRL2, _T(""), wxDefaultPosition, wxSize(400, 600), wxTE_MULTILINE );
    itemBoxSizer3->Add(itemTextCtrl10, 0, wxGROW|wxALL, 5);

    itemBoxSizer3->Add(5, 5, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    wxStaticText* itemStaticText12 = new wxStaticText( itemScrollingDialog1, wxID_STATIC, _("&Gender:"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemStaticText12, 0, wxALIGN_LEFT|wxLEFT|wxRIGHT|wxTOP, 5);

    wxArrayString itemChoice13Strings;
    itemChoice13Strings.Add(_("Male"));
    itemChoice13Strings.Add(_("Female"));
    wxChoice* itemChoice13 = new wxChoice( itemScrollingDialog1, ID_CHOICE1, wxDefaultPosition, wxDefaultSize, itemChoice13Strings, 0 );
    itemChoice13->SetStringSelection(_("Male"));
    itemBoxSizer3->Add(itemChoice13, 0, wxGROW|wxALL, 5);

    itemBoxSizer3->Add(5, 5, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);

    wxStaticText* itemStaticText15 = new wxStaticText( itemScrollingDialog1, wxID_STATIC, _("Notes:"), wxDefaultPosition, wxDefaultSize, 0 );
    itemBoxSizer3->Add(itemStaticText15, 0, wxALIGN_LEFT|wxLEFT|wxRIGHT|wxTOP, 5);

    wxTextCtrl* itemTextCtrl16 = new wxTextCtrl( itemScrollingDialog1, ID_TEXTCTRL3, _T(""), wxDefaultPosition, wxSize(-1, 200), wxTE_MULTILINE );
    itemBoxSizer3->Add(itemTextCtrl16, 1, wxGROW|wxALL, 5);

    wxStdDialogButtonSizer* itemStdDialogButtonSizer17 = new wxStdDialogButtonSizer;

    itemBoxSizer3->Add(itemStdDialogButtonSizer17, 0, wxGROW|wxALL, 5);
    wxButton* itemButton18 = new wxButton( itemScrollingDialog1, wxID_OK, _("&OK"), wxDefaultPosition, wxDefaultSize, 0 );
    itemStdDialogButtonSizer17->AddButton(itemButton18);

    wxButton* itemButton19 = new wxButton( itemScrollingDialog1, wxID_CANCEL, _("&Cancel"), wxDefaultPosition, wxDefaultSize, 0 );
    itemStdDialogButtonSizer17->AddButton(itemButton19);

    itemStdDialogButtonSizer17->Realize();

////@end ScrollingTestDialog content construction
}


/*!
 * Should we show tooltips?
 */

bool ScrollingTestDialog::ShowToolTips()
{
    return true;
}

/*!
 * Get bitmap resources
 */

wxBitmap ScrollingTestDialog::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin ScrollingTestDialog bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
////@end ScrollingTestDialog bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon ScrollingTestDialog::GetIconResource( const wxString& name )
{
    // Icon retrieval
////@begin ScrollingTestDialog icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
////@end ScrollingTestDialog icon retrieval
}
